=== debian/changelog ===
ncbi-vdb (3.2.1+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 09 Apr 2025 21:28:39 -0400

ncbi-vdb (3.2.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * debian/control:
    - Move python3 to main Build-Depends (from -Arch) and add dh-python.
    - Have ncbi-vdb-data replace sra-toolkit << 3.2 over debian.kfg and
      (for now) incorporate a virtual python3-vdb package, to be split out
      into a regular package post-Trixie.
    - Belatedly have -dev packages depend on ${devlibs:Depends} (from
      d-shlibs) rather than the inapplicable ${shlibs:Depends}.
  * debian/copyright: Substitute a URL for the FSF's postal address.
    (See #1080497.)
  * debian/debian.kfg: New; taken over from sra-toolkit, augmented with a
    central /vdb/schema/paths = "/usr/lib/ncbi-vdb" setting.
  * debian/ncbi-vdb-data.install: Install debian.kfg to /etc/ncbi and
    py_vdb/vdb.py to /usr/lib/python3/dist-packages.
  * debian/patches/fix_{cmake,x32}.patch: Formally update accordingly.
  * debian/patches/python-use-default-runtime.patch (new): Bypass upstream's
    logic for locating VDB shared libraries in favor of tacking on .3 and
    honoring the system search path.
  * debian/rules:
    - Stop injecting /usr/lib/ncbi-vdb/ into schema include directives.
    - Enable DebHelper's Python 3 addon.
  * debian/.gitignore: Ignore generated maintainer script fragments.
  * .gitignore: Ignore Debian additions.
  * Standards-Version: 4.7.2 (routine-update)

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 08 Apr 2025 21:43:30 -0400

ncbi-vdb (3.1.1+dfsg-1) experimental; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * d/copyright: update according to lrc

 -- Andreas Tille <tille@debian.org>  Thu, 12 Dec 2024 09:55:38 +0100
